Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.ejb.update
Class UpdateResult

    java.lang.Object
      com.stc.eindex.ejb.update.UpdateResult

All Implemented Interfaces:
  java.io.Serializable

public class UpdateResult
extends java.lang.Object
implements java.io.Serializable

The UpdateResult class contains the return values for a call to updateEnterpriseDupRecalc.

See Also:
  Serialized Form

Constructor Summary
`` | `UpdateResult(TMResult tm, EnterpriseObject eo)` Creates a new instance of the UpdateResult class.
`` | `UpdateResult(TMResult tm, EnterpriseObject eo1, EnterpriseObject eo2)` Creates a new instance of the UpdateResult class containing two enterprise objects.
`` | `UpdateResult(TMResult tm, EnterpriseObject eo1, EnterpriseObject eo2, boolean matchFieldChanged)` Creates a new instance of the UpdateResult class that indicates whether a match field was updated as a result of the update transaction.

Method Summary
`EnterpriseObject` | `getEnterpriseObject1()` Retrieves the initial enterprise object involved in the update transaction.
`EnterpriseObject` | `getEnterpriseObject2()` Retrieves the second enterprise object involved in the update transaction (if a second object was involved).
`boolean` | `getMatchFieldChanged()` Retrieves an indicator of whether a match field was updated during the update transaction.
`TMResult` | `getTransactionResult()` Retrieves the result returned by the Transaction Manager for the update transaction.
`void` | `setMatchFieldChanged(boolean matchFieldChanged)` Sets the indicator of whether a match field was updated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateResult

    public UpdateResult(TMResult tm,
                        EnterpriseObject eo)

  Creates a new instance of the UpdateResult class.

  Parameters:
    `tm` - The result returned by the Transaction Manager for the update transaction.
    `eo` - The enterprise object that was updated.
  Throws:
    None.

### UpdateResult

    public UpdateResult(TMResult tm,
                        EnterpriseObject eo1,
                        EnterpriseObject eo2)

  Creates a new instance of the UpdateResult class containing two enterprise objects.

  Parameters:
    `tm` - The result returned by the Transaction Manager for the update transaction.
    `eo1` - The initial enterprise object involved in the update process.
    `eo2` - The second enterprise object involved in the update process (if a second object was involved).
  Throws:
    None.

### UpdateResult

    public UpdateResult(TMResult tm,
                        EnterpriseObject eo1,
                        EnterpriseObject eo2,
                        boolean matchFieldChanged)

  Creates a new instance of the UpdateResult class that indicates whether a match field was updated as a result of the update transaction.

  Parameters:
    `tm` - The result returned by the Transaction Manager for the update transaction.
    `eo1` - The first enterprise object involved in the update process.
    `eo2` - The second enterprise object involved in the update process (if a second object was involved).
    `matchFieldChanged` - A Boolean indicator of whether a match field was changed during the update transaction. True indicates a match field has changed; false indicates a match field did not change.
  Throws:
    None.

Method Detail

### getEnterpriseObject1

    public EnterpriseObject getEnterpriseObject1()

  Retrieves the initial enterprise object involved in the update transaction.

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - The initial enterprise object involved in the transaction.
  Throws:
    None.

### getEnterpriseObject2

    public EnterpriseObject getEnterpriseObject2()

  Retrieves the second enterprise object involved in the update transaction (if a second object was involved).

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - The second enterprise object involved in the transaction.
  Throws:
    None.

### getMatchFieldChanged

    public boolean getMatchFieldChanged()

  Retrieves an indicator of whether a match field was updated during the update transaction.

  Parameters:
    None.

  Returns:
    `Boolean` - Boolean indicator of whether a match field was changed during the update transaction. True indicates a match field changed; false indicates a match field did not change.
  Throws:
    None.

### getTransactionResult

    public TMResult getTransactionResult()

  Retrieves the result returned by the Transaction Manager for the update transaction.

  Parameters:
    None.

  Returns:
    `TNResult` - The Transaction Manager result for the update transaction.
  Throws:
    None.

### setMatchFieldChanged

    public void setMatchFieldChanged(boolean matchFieldChanged)

  Sets the indicator of whether a match field was updated.

  Parameters:
    `matchFieldChanged` - Boolean indicator of whether a match field changed during the update transaction. True indicates a match field changed; false indicates a match field did not change.
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.